    # File lib/chef/resource/execute.rb, line 25
          def initialize(name, run_context=nil)
            super
            @resource_name = :execute
            @command = name
            @backup = 5
            @action = "run"
            @creates = nil
            @cwd = nil
            @environment = nil
            @group = nil
            @path = nil
            @returns = 0
            @timeout = nil
            @user = nil
            @allowed_actions.push(:run)
            @umask = nil
          end